*

node v0.11.8 npm エラー

公開日: : 最終更新日:2014/01/30 投稿者:raru node

webRTCとnodeを使っていろいろと作ろうとしているのですが、開発中に少し悩んだので備忘録

nodeのv0.11.8を使用してウェブアプリを構築していたのですが、npm updateを行なうと非常に大量のエラーが発生するので調べてみました。

調べてみたところこんなのを発見し、
どうやら_http_client.jsというファイルが原因だということまでは突き止めました。
_http_client.js を直せば動作するらしいのです。
しかし、僕はCUI力不足によりwhich, locate, findを駆使してもファイルが発見出来ませんでした。

結論として、解決方法は nodeのversionをv0.11.10以上に上げてしまうことです。
v0.11.9で直るかは未確認なので、なんとも言えませんが9でもエラーでている人がいたっぽいので
このエラーと全く同一のものかは不明ですが10まで上げちゃった方が良さそうです。

関連記事

no image

socket.ioとwebRTCでビデオチャット

現在作成したいものがあるために、その予行演習として nodeのsocket.ioとwebRTC機能

記事を読む

no image

Node.jsのSocket.io入門

前置き WebRTCを使用して通信を行なうときに、offerなどの情報を伝える為にサーバサイドのプ

記事を読む

no image

node-http-proxyでsocket.ioが通らない

お金が無いので複数サーバも借りられず、複数ドメインも取得出来ないために サブドメインによるサイト振

記事を読む

Message

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

PAGE TOP ↑